texture tex;

float4 sepia = float4(1.0f, 1.0f, 0.8f, 1.0f);
float rate;

sampler smp = sampler_state
{
	Texture = <tex>;
};

float4 PS(float2 UV : TEXCOORD0) : COLOR0
{
	float4 tex = tex2D(smp, UV);
	float4 c = tex;
	c.r = 255;
	c.g = 255;
	c.b = 255;
			
	return c;
}

technique tech
{
	pass p0
	{
		PixelShader = compile ps_2_0 PS();
	}
};