texture tex;

float PixelY;

sampler smp = sampler_state
{
	Texture = <tex>;
};

float4 PS(float2 UV : TEXCOORD0) : COLOR0
{
	float4 tex = tex2D(smp, UV);
	float4 c = tex;

	if (UV.y < (1.0f - PixelY))
	{
		c.a = 0;
	}
			
	return c;
}

technique tech
{
	pass p0
	{
		PixelShader = compile ps_2_0 PS();
	}
};